

This patch makes some needlessly global functions static.

Signed-off-by: Adrian Bunk <bunk@stusta.de>
Acked-by: Trond Myklebust <trond.myklebust@fys.uio.no>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 fs/nfs/idmap.c |    4 ++--
 fs/nfs/inode.c |    4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN fs/nfs/idmap.c~fs-nfs-make-some-functions-static fs/nfs/idmap.c
--- 25/fs/nfs/idmap.c~fs-nfs-make-some-functions-static	Mon May  2 17:16:37 2005
+++ 25-akpm/fs/nfs/idmap.c	Mon May  2 17:16:37 2005
@@ -80,7 +80,7 @@ static ssize_t   idmap_pipe_upcall(struc
 		     char __user *, size_t);
 static ssize_t   idmap_pipe_downcall(struct file *, const char __user *,
 		     size_t);
-void             idmap_pipe_destroy_msg(struct rpc_pipe_msg *);
+static void      idmap_pipe_destroy_msg(struct rpc_pipe_msg *);
 
 static unsigned int fnvhash32(const void *, size_t);
 
@@ -435,7 +435,7 @@ out:
 	return ret;
 }
 
-void
+static void
 idmap_pipe_destroy_msg(struct rpc_pipe_msg *msg)
 {
 	struct idmap_msg *im = msg->data;
diff -puN fs/nfs/inode.c~fs-nfs-make-some-functions-static fs/nfs/inode.c
--- 25/fs/nfs/inode.c~fs-nfs-make-some-functions-static	Mon May  2 17:16:37 2005
+++ 25-akpm/fs/nfs/inode.c	Mon May  2 17:16:37 2005
@@ -1996,7 +1996,7 @@ static void init_once(void * foo, kmem_c
 	}
 }
  
-int nfs_init_inodecache(void)
+static int nfs_init_inodecache(void)
 {
 	nfs_inode_cachep = kmem_cache_create("nfs_inode_cache",
 					     sizeof(struct nfs_inode),
@@ -2008,7 +2008,7 @@ int nfs_init_inodecache(void)
 	return 0;
 }
 
-void nfs_destroy_inodecache(void)
+static void nfs_destroy_inodecache(void)
 {
 	if (kmem_cache_destroy(nfs_inode_cachep))
 		printk(KERN_INFO "nfs_inode_cache: not all structures were freed\n");
_
